Éditeur d’objets de stratégie de groupe

Éditeur d’objets de stratégie de groupe

L’Éditeur d’objets de stratégie de groupe est un composant logiciel enfichable MMC (Microsoft Management Console) qui présente une interface utilisateur unique par l’intermédiaire de laquelle tous les paramètres des objets de stratégie de groupe locale peuvent être gérés.

Cette section comprend les rubriques suivantes :

  • Ouvrir l’Éditeur d’objets de stratégie de groupe

  • Paramètres de stratégie des modèles d’administration

  • Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session

  • Modifier un objet de stratégie de groupe locale

  • Modifier une stratégie de groupe locale multiple

  • Désactiver les paramètres de l’utilisateur ou de l’ordinateur dans la stratégie de groupe locale

  • Supprimer des objets de stratégie de groupe locale multiple

  • Ressources pour la stratégie de groupe

Remarques

L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.


Ouvrir l’Éditeur d’objets de stratégie de groupe

Vous pouvez ouvrir l’Éditeur d’objets de stratégie de groupe en utilisant la ligne de commande ou l’outil Microsoft Management Console (MMC).

Pour ouvrir l’Éditeur d’objets de stratégie de groupe à partir de la ligne de commande

  • Cliquez sur le bouton Démarrer, puis dans la zone de recherche tapez gpedit.msc et appuyez sur la touche Entrée.
Pour ouvrir l’Éditeur d’objets de stratégie de groupe en tant que composant logiciel enfichable MMC

  1. Ouvrez MMC. (Cliquez sur Démarrer, cliquez dans la zone Rechercher, tapez mmc, puis appuyez sur Entrée.)

  2. Dans le menu Fichier, cliquez sur Ajouter/Supprimer un composant logiciel enfichable.

  3. Dans la boîte de dialogue Ajouter/Supprimer un composant logiciel enfichable, cliquez sur Éditeur d’objets de stratégie de groupe, puis sur Ajouter.

  4. Dans la boîte de dialogue Sélection d’un objet de stratégie de groupe, cliquez sur Parcourir.

  5. Cliquez sur Cet ordinateur pour modifier l’objet de stratégie de groupe locale ou cliquez sur Utilisateurs pour modifier les objets de stratégie de groupe locale Administrateur, Non-administrateur ou par utilisateur.

  6. Cliquez sur Terminer.
Remarques

Si vous souhaitez enregistrer une console Éditeur d’objets de stratégie de groupe et que vous voulez choisir quel objet de stratégie de groupe s’ouvre à partir de la ligne de commande, dans la boîte de dialogue Sélection d’un objet de stratégie de groupe, activez la case à cocher Autoriser la modification du composant logiciel enfichable de stratégie de groupe lors de l’exécution à partir de la ligne de commande.
Considérations supplémentaires
  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.


Paramètres de stratégie des modèles d’administration

Les Modèles d’administration sont des paramètres de stratégie basés sur le Registre qui apparaissent dans l’Éditeur d’objets de stratégie de groupe sous le nœud Modèles d’administration des nœuds Ordinateur et Configuration utilisateur. Cette hiérarchie est créée lorsque l’Éditeur d’objets de stratégie de groupe lit les fichiers XML de modèle d’administration (.admx).

Cette section contient les rubriques suivantes :

  • Modifier les paramètres de stratégie des modèles d’administration

  • Filtrer la vue des modèles d’administration

  • Ajouter des commentaires aux paramètres de stratégie des modèles d’administration

  • Ajouter ou supprimer des modèles d’administration classiques

Considérations supplémentaires

  • Pour plus d’informations sur la modification des modèles d’administration, voir http://go.microsoft.com/fwlink/?LinkID=66002 (éventuellement en anglais).


Modifier les paramètres de stratégie des modèles d’administration

Pour modifier les paramètres de stratégie des modèles d’administration

  1. À l’aide de l’Éditeur d’objets de stratégie de groupe, ouvrez l’objet de stratégie de groupe locale que vous voulez modifier.

  2. Dans l’arborescence de la console, cliquez sur le dossier situé sous Modèles d’administration qui contient les paramètres de stratégie à configurer.

  3. Dans la colonne Paramètre, cliquez sur le nom d’un paramètre pour en lire la description.

  4. Pour changer l’état actuel du paramètre de stratégie, double-cliquez sur le nom de ce paramètre.

  5. Dans la boîte de dialogue du paramètre de stratégie, cliquez sur l’un des choix suivants :

    • Non configuré : Le Registre n’est pas modifié.

    • Activé : La sélection du paramètre Stratégie est reflétée dans le Registre.

    • Désactivé : La non sélection du paramètre Stratégie est reflétée dans le Registre.

  6. Sélectionnez toute autre option de votre choix, puis cliquez sur OK.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Dans l’Éditeur d’objets de stratégie de groupe, il existe deux branches Modèles d’administration. Les paramètres de HKEY_LOCAL_MACHINE se trouvent sous Configuration ordinateur et ceux de HKEY_CURRENT_USER sous Configuration utilisateur.

  • Si la stratégie de l’ordinateur entre en conflit avec celle de l’utilisateur, c’est la première qui généralement prévaut. Cependant, si les auteurs des applications ne respectent pas cette convention, la stratégie de groupe ne peut pas en forcer l’application.

  • Les paramètres de stratégie des modèles d’administration sont également appelés « paramètres de stratégie basés sur le Registre ».

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Paramètres de stratégie des modèles d’administration


Filtrer la vue des modèles d’administration

L’Éditeur d’objets de stratégie de groupe permet de filtrer les paramètres de stratégie des modèles d’administration en fonction des critères suivants :

  • paramètres de stratégie gérés, configurés ou commentés ;

  • mots clés dans le titre, le texte d’aide ou le commentaire des paramètres de stratégie ;

  • conditions requises en matière de plateforme ou d’application des paramètres de stratégie.

Appliquez des filtres aux paramètres de stratégie des modèles d’administration lorsque vous recherchez un paramètre de stratégie spécifique ou que vous voulez limiter le nombre de paramètres de stratégie affichés dans l’Éditeur d’objets de stratégie de groupe.

Cette section comprend les rubriques suivantes :

  • Filtrer en utilisant des filtres de propriétés

  • Filter en utilisant des filtres par mots clés

  • Filtrer en utilisant des filtres de conditions

Considérations supplémentaires

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Paramètres de stratégie des modèles d’administration


Filtrer en utilisant des filtres de propriétés

L’Éditeur d’objets de stratégie de groupe vous permet de modifier les critères d’affichage des paramètres de stratégie des modèles d’administration. Par défaut, l’Éditeur affiche tous les paramètres de stratégie, y compris les paramètres de stratégie non gérés. Toutefois, vous pouvez utiliser des filtres de propriétés pour modifier la façon dont l’Éditeur d’objets de stratégie de groupe affiche les paramètres de stratégie des modèles d’administration.

Il existe trois filtres de propriétés inclusifs que vous pouvez utiliser pour filtrer les modèles d’administration. Ces filtres de propriétés sont les suivants :

  • Géré

  • Configuré

  • Commenté

Géré

Il existe deux types de paramètres de stratégie des modèles d’administration : Géré et Non géré. Le service Client de stratégie de groupe gère les paramètres de stratégie gérés et supprime un paramètre de stratégie lorsque celui-ci ne correspond plus pour l’utilisateur ou l’ordinateur.

Le service Client de stratégie de groupe ne gère pas les paramètres de stratégie non gérés. Ces paramètres de stratégie sont persistants. Le service Client de stratégie de groupe ne supprime pas les paramètres de stratégie non gérés, même si le paramètre de stratégie ne correspond plus pour l’utilisateur ou l’ordinateur. En général, vous utilisez ces types de paramètres de stratégie pour configurer les options des composants du système d’exploitation qui ne sont pas activés pour les stratégies. Vous pouvez également utiliser des paramètres de stratégie non gérés pour les paramètres de l’application.

Le filtre de propriété Géré possède trois états : N’importe lequel, Oui et Non. Lorsque ce filtre de propriété est défini sur la valeur N’importe lequel, l’Éditeur d’objets de stratégie de groupe affiche tous les paramètres de stratégie des modèles d’administration. Lorsque ce filtre de propriété est défini sur la valeur Oui, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration gérés, masquant tous les paramètres de stratégie non gérés. Lorsque ce filtre de propriété est défini sur la valeur Non, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration non gérés, masquant tous les paramètres de stratégie gérés.

Pour définir le filtre de propriété Géré des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Cliquez avec le bouton droit sur Modèles d’administration situé sous Configuration ordinateur\Stratégies ou Configuration utilisateur\Stratégies. Cliquez ensuite sur Options des filtres.

  3. Dans la liste Géré, cliquez sur le filtre approprié :

  4. Cliquez sur OK pour appliquer les paramètres du nouveau filtre et fermer la boîte de dialogue Options des filtres.

Configuré

Vous pouvez configurer les paramètres de stratégie des modèles d’administration en utilisant l’un des trois états suivants : Non configuré, Activé et Désactivé. La valeur Non configuré est l’état par défaut de tous les paramètres de stratégie. Les paramètres de stratégie définis sur la valeur Non configuré n’affectent ni les utilisateurs ni les ordinateurs. L’activation d’un paramètre de stratégie des modèles d’administration active le paramètre de stratégie. Lorsque l’état est Activé, l’action décrite dans le titre du paramètre de stratégie s’applique à l’utilisateur ou à l’ordinateur. Lorsque l’état est Désactivé, l’action opposée à celle décrite dans le titre du paramètre de stratégie s’applique à l’utilisateur ou à l’ordinateur. En général, les paramètres de stratégie dont l’état est Non configuré ou Désactivé produisent les mêmes résultats. La différence réside dans le fait que les paramètres de stratégie dont l’état est Non configuré ne s’appliquent pas à l’utilisateur, contrairement aux paramètres de stratégie dont l’état est Désactivé.

Chaque paramètre de stratégie des modèles d’administration fournit des informations détaillées sur ses états Activé, Désactivé et Non configuré. Ces informations figurent dans le volet Aide de chaque paramètre de stratégie des modèles d’administration. Vous pouvez également afficher ces informations pour le paramètre de stratégie sélectionné dans la vue étendue de l’Éditeur.

Le filtre de propriété Configuré possède trois états : N’importe lequel, Oui et Non. Lorsque ce filtre de propriété est défini sur la valeur N’importe lequel, l’Éditeur d’objets de stratégie de groupe affiche tous les paramètres de stratégie des modèles d’administration, c’est d’ailleurs la valeur par défaut de ce filtre. Lorsque ce filtre de propriété est défini sur la valeur Oui, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration configurés, masquant les paramètres de stratégie non configurés. Lorsque ce filtre de propriété est défini sur la valeur Non, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration non configurés, masquant les paramètres de stratégie configurés.

Pour définir le filtre de propriété Configuré des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Cliquez avec le bouton droit sur Modèles d’administration situé sous Configuration ordinateur\Stratégies ou Configuration utilisateur\Stratégies. Cliquez ensuite sur Options des filtres.

  3. Dans la liste Configuré, cliquez sur le filtre approprié.

  4. Cliquez sur OK pour appliquer les paramètres du nouveau filtre et fermer la boîte de dialogue Options des filtres.

Commenté

Chaque paramètre de stratégie des modèles d’administration possède une propriété de commentaire. Le filtre de propriété Commenté vous permet d’entrer du texte associé à un paramètre de stratégie spécifique.

Le filtre de propriété Commenté possède trois états : N’importe lequel, Oui et Non. Lorsque ce filtre de propriété est défini sur la valeur N’importe lequel, l’Éditeur d’objets de stratégie de groupe affiche tous les paramètres de stratégie des modèles d’administration, c’est d’ailleurs la valeur par défaut de ce filtre. Lorsque ce filtre de propriété est défini sur la valeur Oui, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration commentés, masquant les paramètres de stratégie sans commentaire. Lorsque ce filtre de propriété est défini sur la valeur Non, l’Éditeur affiche uniquement les paramètres de stratégie des modèles d’administration sans commentaire, masquant les paramètres de stratégie commentés.

Pour définir le filtre de propriété Commenté des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Cliquez avec le bouton droit sur Modèles d’administration situé sous Configuration ordinateur\Stratégies ou Configuration utilisateur\Stratégies. Cliquez ensuite sur Options des filtres.

  3. Dans la liste Commenté, cliquez sur le filtre approprié.

  4. Cliquez sur OK pour appliquer les paramètres du nouveau filtre et fermer la boîte de dialogue Options des filtres.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les filtres sont inclusifs, vous devez donc sélectionner les éléments que vous voulez afficher, plutôt que ceux que vous voulez supprimer.

  • Les filtres ne fonctionnent pas avec les modèles d’administration classiques.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Filtrer la vue des modèles d’administration


Filter en utilisant des filtres par mots clés

L’Éditeur d’objets de stratégie de groupe vous permet de modifier les critères d’affichage des paramètres de stratégie des modèles d’administration. Par défaut, l’Éditeur affiche tous les paramètres de stratégie. Toutefois, vous pouvez utiliser des filtres par mots-clés pour modifier la façon dont l’Éditeur d’objets de stratégie de groupe affiche les paramètres de stratégie des modèles d’administration.

Pour définir le filtre par mots clés des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Cliquez avec le bouton droit sur Modèles d’administration situé sous Configuration ordinateur ou Configuration utilisateur. Cliquez sur Options des filtres.

  3. Activez la case à cocher Activer les filtres par mots clés.

  4. Tapez un ou plusieurs mots clés dans la zone Filtrer par le ou les mots et cliquez sur le filtre approprié :

    • N’importe quel mot : le filtre inclut n’importe lequel des mots indiqués dans la zone Filtrer par le ou les mots.

    • Tous les mots : le filtre inclut tous les mots indiqués dans la zone Filtrer par le ou les mots.

    • Mots exacts : le filtre inclut les mots exacts indiqués dans la zone Filtrer par le ou les mots.

  5. Activez les cases à cocher appropriées en regard de Dans.

    • Titre du paramètre de stratégie : le filtre inclut la recherche du titre du paramètre de stratégie.

    • Texte d’aide : le filtre inclut la recherche du texte d’aide du paramètre de stratégie.

    • Commentaire : le filtre inclut la recherche du commentaire du paramètre de stratégie.

  6. Cliquez sur OK pour appliquer les paramètres du nouveau filtre et fermer la boîte de dialogue Options des filtres.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les filtres sont inclusifs, vous devez donc sélectionner les éléments que vous voulez afficher, plutôt que ceux que vous voulez supprimer.

  • Les filtres ne fonctionnent pas avec les modèles d’administration classiques.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Filtrer la vue des modèles d’administration


Filtrer en utilisant des filtres de conditions

L’Éditeur d’objets de stratégie de groupe vous permet de modifier les critères d’affichage des paramètres de stratégie des modèles d’administration. Par défaut, l’Éditeur affiche tous les paramètres de stratégie. Toutefois, vous pouvez utiliser des filtres de conditions pour modifier la façon dont l’Éditeur d’objets de stratégie de groupe affiche les paramètres de stratégie des modèles d’administration.

Pour définir le filtre de conditions des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Cliquez avec le bouton droit sur Modèles d’administration situé sous Configuration ordinateur ou Configuration utilisateur. Cliquez sur Options des filtres.

  3. Activez la case à cocher Activer les filtres de conditions.

  4. Tapez un ou plusieurs mots clés dans la zone Filtrer par le ou les mots.

  5. Dans la liste Sélectionnez le ou les filtres d’application et de plateforme souhaités, cliquez sur le filtre approprié :

    • Incluez les paramètres qui correspondent à l’une des plateformes sélectionnées.

    • Incluez les paramètres qui correspondent à toutes les plateformes sélectionnées.

      Remarques

      Vous pouvez cliquer sur Sélectionner tout pour sélectionner tous les éléments de la liste, ou sur Effacer tout pour effacer tous les éléments de la liste.

  6. Cliquez sur OK pour appliquer les paramètres du nouveau filtre et fermer la boîte de dialogue Options des filtres.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les filtres sont inclusifs, vous devez donc sélectionner les éléments que vous voulez afficher, plutôt que ceux que vous voulez supprimer.

  • Les filtres ne fonctionnent pas avec les modèles d’administration classiques.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Filtrer la vue des modèles d’administration


Ajouter des commentaires aux paramètres de stratégie des modèles d’administration

Vous avez la possibilité d’inclure des commentaires pour chaque paramètre de stratégie des modèles d’administration. Vous pouvez utiliser cet espace pour regrouper des informations sur le paramètre de stratégie et indiquer la raison pour laquelle sa mise en œuvre est importante pour votre environnement. Le fait de commenter les paramètres de stratégie vous permet d’utiliser un filtre par mots clés pour retrouver facilement des paramètres de stratégie au moyen des mots clés correspondants.

Pour commenter un paramètre de stratégie des modèles d’administration

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, cliquez sur le dossier situé sous Modèles d’administration qui contient le paramètre de stratégie à configurer.

  3. Dans la colonne Paramètre, double-cliquez sur le nom donné au paramètre de stratégie.

  4. Tapez vos commentaires dans la zone Commentaire.

  5. Cliquez sur OK.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Paramètres de stratégie des modèles d’administration


Ajouter ou supprimer des modèles d’administration classiques

Les fichiers des modèles d’administration classiques (également appelés fichiers ADM) ne sont pas créés à l’aide du format XML. Les précédentes versions de l’Éditeur d’objets de stratégie de groupe affichaient ces paramètres sous le nœud Administrative Templates.

La version actuelle des fichiers des modèles d’administration (appelés fichiers ADMX) est créée à l’aide du format XML. L’Éditeur d’objets de stratégie de groupe affiche ces paramètres sous le nœud Administrative Templates. Toutefois, l’Éditeur d’objets de stratégie de groupe reconnaît toujours les fichiers ADM et affiche ces paramètres sous le nœud Classic Administrative Templates, qui est un nœud enfant du nœud Administrative Templates.

Pour ajouter ou supprimer un fichier de modèle d’administration classique (fichier .adm)

  1. À l’aide de l’Éditeur d’objets de stratégie de groupe, ouvrez l’objet de stratégie de groupe locale que vous voulez modifier.

  2. Dans l’arborescence de la console, en dessous de Configuration ordinateur ou de Configuration utilisateur, cliquez avec le bouton droit sur Modèles d’administration.

  3. Cliquez sur Ajout/Suppression de modèles.

  4. Effectuez l’une des actions suivantes :

    • Pour ajouter un modèle, cliquez sur Ajouter. Dans la boîte de dialogue Modèles de stratégie, cliquez sur le modèle que vous souhaitez ajouter, puis sur Ouvrir.

    • Pour supprimer un modèle, dans la liste Modèles de stratégie actuels, cliquez sur un modèle, puis sur Supprimer.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Paramètres de stratégie des modèles d’administration


Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session

La stratégie de groupe vous permet d’associer un ou plusieurs fichiers de script avec quatre événements déclenchés :

  • Démarrage de l’ordinateur

  • Arrêt de l’ordinateur

  • Ouverture de session de l’utilisateur

  • Fermeture de session de l’utilisateur

Vous pouvez utiliser des scripts Windows PowerShell, ou des scripts créés dans n’importe quelle autre langage pris en charge par l’ordinateur client. Les langages acceptés par l’environnement d’exécution de scripts WSH (Windows Script Host) sont également utilisés, entre autres VBScript et Jscript.

Cette section contient les rubriques suivantes :

  • Affecter des scripts de démarrage de l’ordinateur

  • Affecter des scripts d’arrêt de l’ordinateur

  • Affecter des scripts d’ouverture de session de l’utilisateur

  • Affecter des scripts de fermeture de session de l’utilisateur

Considérations supplémentaires

  • Pour plus d’informations sur les scripts, voir la page consacrée au centre de script de stratégie de groupe (http://go.microsoft.com/fwlink/?LinkID=66013 (éventuellement en anglais)).


Affecter des scripts de démarrage de l’ordinateur

Pour attribuer des scripts de démarrage

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, cliquez sur Scripts (démarrage/arrêt). Le chemin d’accès est Configuration ordinateur\Paramètres Windows\Scripts (démarrage/arrêt).

  3. Dans le volet de résultats, double-cliquez sur Démarrage.

  4. Dans la boîte de dialogue Propriétés de Démarrage, cliquez sur Ajouter.

  5. Dans la boîte de dialogue Ajout d’un script, procédez comme suit :

    • Dans la zone Nom du script, tapez le chemin d’accès au script, ou cliquez sur Parcourir pour rechercher le fichier de script dans le dossier partagé Netlogon du contrôleur de domaine.

    • Dans la zone Paramètres de scripts, tapez les paramètres à utiliser, comme vous le feriez sur la ligne de commande. Par exemple, si votre script inclut des paramètres appelés //logo (afficher la bannière) et //I (mode interactif), tapez //logo //I.

  6. Dans la boîte de dialogue Propriétés de Démarrage, spécifiez les options souhaitées :

    • Scripts de démarrage pour <objet de stratégie de groupe> : Liste tous les scripts qui sont actuellement affectés à l’objet de stratégie de groupe sélectionné. Si vous attribuez plusieurs scripts, ils sont traités dans l’ordre que vous spécifiez. Pour déplacer un script vers le haut de la liste, sélectionnez-le, puis cliquez sur Monter. Pour déplacer un script vers le bas de la liste, sélectionnez-le, puis cliquez sur Descendre.

    • Ajouter : Ouvre la boîte de dialogue Ajout d’un Script, où vous pouvez spécifier d’autres scripts à utiliser.

    • Modifier : Ouvre la boîte de dialogue Edition du Script, où vous pouvez modifier des informations relatives au script, telles que son nom et des paramètres.

    • Supprimer : Supprime le script sélectionné de la liste Scripts de démarrage.

    • Afficher les fichiers : Affiche les fichiers de script stockés dans l’objet de stratégie de groupe sélectionné.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les scripts de démarrage sont exécutés sous le compte Système local et disposent des droits associés à l’exécution sous ce compte.

  • Commençant dans Windows Vista, les scripts de démarrage sont exécutés par défaut de façon asynchrone. Ce comportement est différent de celui des systèmes d’exploitation antérieurs.

  • Le fait de configurer des scripts de démarrage pour qu’ils s’exécutent de façon synchrone peut provoquer une exécution lente du processus de démarrage.

  • Dans Windows 7 et Windows Vista, les scripts de démarrage exécutés de façon asynchrone ne sont pas visibles. L’activation du paramètre de stratégie Exécuter les scripts de démarrage en mode visible n’a pas d’effet lors de l’exécution de scripts de démarrage de façon asynchrone.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session


Affecter des scripts d’arrêt de l’ordinateur

Pour attribuer des scripts de fermeture

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, cliquez sur Scripts (démarrage/arrêt). Le chemin d’accès est Configuration ordinateur\Paramètres Windows\Scripts (démarrage/arrêt).

  3. Dans le volet de résultats, double-cliquez sur Arrêter le système.

  4. Dans la boîte de dialogue Propriétés de Arrêter le système, cliquez sur Ajouter.

  5. Dans la boîte de dialogue Ajout d’un script, procédez comme suit :

    • Dans la zone Nom du script, tapez le chemin d’accès au script, ou cliquez sur Parcourir pour rechercher le fichier de script dans le dossier partagé Netlogon du contrôleur de domaine.

    • Dans la zone Paramètres de scripts, tapez les paramètres à utiliser, comme vous le feriez sur la ligne de commande. Par exemple, si votre script inclut des paramètres appelés //logo (afficher la bannière) et //I (mode interactif), tapez //logo //I.

  6. Dans la boîte de dialogue Propriétés de Arrêter le système, spécifiez les options souhaitées :

    • Scripts d’arrêt du système pour <objet de stratégie de groupe> : Liste tous les scripts qui sont actuellement affectés à l’objet de stratégie de groupe sélectionné. Si vous attribuez plusieurs scripts, ils sont traités dans l’ordre que vous spécifiez. Pour déplacer un script vers le haut de la liste, sélectionnez-le, puis cliquez sur Monter. Pour déplacer un script vers le bas de la liste, sélectionnez-le, puis cliquez sur Descendre.

    • Ajouter : Ouvre la boîte de dialogue Ajout d’un Script, où vous pouvez spécifier d’autres scripts à utiliser.

    • Modifier : Ouvre la boîte de dialogue Edition du Script, où vous pouvez modifier des informations relatives au script, telles que son nom et des paramètres.

    • Supprimer : Supprime le script sélectionné de la liste Scripts d’arrêt.

    • Afficher les fichiers : Affiche les fichiers de script stockés dans l’objet de stratégie de groupe sélectionné.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les scripts de fermeture sont exécutés en tant que partie intégrante du système local et disposent des droits inhérents à ce statut.

  • Le fait de configurer des scripts d’arrêt pour qu’ils s’exécutent de façon synchrone peut provoquer une exécution lente du processus d’arrêt.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session


Affecter des scripts d’ouverture de session de l’utilisateur

Pour attribuer des scripts d’ouverture de session

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, cliquez sur Scripts (ouverture/fermeture de session). Le chemin d’accès est Configuration utilisateur\Paramètres Windows\Scripts (ouverture/fermeture de session).

  3. Dans le volet de résultats, double-cliquez sur Ouverture de session.

  4. Dans la boîte de dialogue Propriétés de Ouverture de session, cliquez sur Ajouter.

  5. Dans la boîte de dialogue Ajout d’un script, procédez comme suit :

    • Dans la zone Nom du script, tapez le chemin d’accès au script, ou cliquez sur Parcourir pour rechercher le fichier de script dans le dossier partagé Netlogon du contrôleur de domaine.

    • Dans la zone Paramètres de scripts, tapez les paramètres à utiliser, comme vous le feriez sur la ligne de commande. Par exemple, si votre script inclut des paramètres appelés //logo (afficher la bannière) et //I (mode interactif), tapez //logo //I.

  6. Dans la boîte de dialogue Propriétés de Ouverture de session, spécifiez les options souhaitées :

    • Scripts d’ouverture de session pour <objet de stratégie de groupe> : Liste tous les scripts qui sont actuellement affectés à l’objet de stratégie de groupe sélectionné. Si vous attribuez plusieurs scripts, ils sont traités dans l’ordre que vous spécifiez. Pour déplacer un script vers le haut de la liste, sélectionnez-le, puis cliquez sur Monter. Pour déplacer un script vers le bas de la liste, sélectionnez-le, puis cliquez sur Descendre.

    • Ajouter : Ouvre la boîte de dialogue Ajout d’un Script, où vous pouvez spécifier d’autres scripts à utiliser.

    • Modifier : Ouvre la boîte de dialogue Edition du Script, où vous pouvez modifier des informations relatives au script, telles que son nom et des paramètres.

    • Supprimer : Supprime le script sélectionné de la liste Scripts d’ouverture de session.

    • Afficher les fichiers : Affiche les fichiers de script stockés dans l’objet de stratégie de groupe sélectionné.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Le fait de configurer des scripts d’ouverture de session pour qu’ils s’exécutent de façon synchrone peut provoquer une exécution lente du processus d’ouverture de session.

  • Les scripts d’ouverture de session sont exécutés sous le compte de l’utilisateur et non pas en tant qu’administrateur ; leurs droits sont donc limités en conséquence.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session


Affecter des scripts de fermeture de session de l’utilisateur

Pour attribuer des scripts de fermeture de session

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, cliquez sur Scripts (ouverture/fermeture de session). Le chemin d’accès est Configuration utilisateur\Paramètres Windows\Scripts (ouverture/fermeture de session).

  3. Dans le volet de résultats, double-cliquez sur Fermeture de session.

  4. Dans la boîte de dialogue Propriétés de Fermeture de session, cliquez sur Ajouter.

  5. Dans la boîte de dialogue Ajout d’un script, procédez comme suit :

    • Dans la zone Nom du script, tapez le chemin d’accès au script, ou cliquez sur Parcourir pour rechercher le fichier de script dans le dossier partagé Netlogon du contrôleur de domaine.

    • Dans la zone Paramètres de scripts, tapez les paramètres à utiliser, comme vous le feriez sur la ligne de commande. Par exemple, si votre script inclut des paramètres appelés //logo (afficher la bannière) et //I (mode interactif), tapez //logo //I.

  6. Dans la boîte de dialogue Propriétés de Fermeture de session, spécifiez les options souhaitées :

    • Scripts de fermeture de session pour <objet de stratégie de groupe> : Liste tous les scripts qui sont actuellement affectés à l’objet de stratégie de groupe sélectionné. Si vous attribuez plusieurs scripts, ils sont traités dans l’ordre que vous spécifiez. Pour déplacer un script vers le haut de la liste, sélectionnez-le, puis cliquez sur Monter. Pour déplacer un script vers le bas de la liste, sélectionnez-le, puis cliquez sur Descendre.

    • Ajouter : Ouvre la boîte de dialogue Ajout d’un Script, où vous pouvez spécifier d’autres scripts à utiliser.

    • Modifier : Ouvre la boîte de dialogue Edition du Script, où vous pouvez modifier des informations relatives au script, telles que son nom et des paramètres.

    • Supprimer : Supprime le script sélectionné de la liste Scripts de fermeture de session.

    • Afficher les fichiers : Affiche les fichiers de script stockés dans l’objet de stratégie de groupe sélectionné.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.

  • Les scripts de fermeture de session sont exécutés en tant qu’éléments utilisateur, et non administrateur ; leurs droits inhérents à ce statut sont donc limités.

  • Le fait de configurer des scripts de fermeture de session pour qu’ils s’exécutent de façon synchrone peut provoquer une exécution lente du processus de fermeture de session.

  • L’Éditeur d’objets de stratégie de groupe et le composant logiciel enfichable Jeu de stratégie résultant sont disponibles dans Windows Server 2008 R2 et certaines version de Windows 7. Pour plus d’informations, voir http://go.microsoft.com/fwlink/?LinkId=139815.

Références supplémentaires

  • Utiliser des scripts de démarrage, d’arrêt, d’ouverture de session et de fermeture de session


Modifier un objet de stratégie de groupe locale

Pour modifier un objet de stratégie de groupe locale

  1. Ouvrez l’Éditeur d’objets de stratégie de groupe.

  2. Dans l’arborescence de la console, double-cliquez sur les dossiers pour afficher les paramètres de stratégie dans le volet d’informations.

  3. Dans le volet de résultats, double-cliquez sur un paramètre de stratégie pour ouvrir la boîte de dialogue Propriétés, puis modifiez le paramètre de cette stratégie.

Considérations supplémentaires

  • Pour effectuer cette procédure, vous devez bénéficier de l'autorisation de modification de paramètre pour être en mesure de modifier un objet de stratégie de groupe. Par défaut, les membres du groupe de sécurité Administrateurs du domaine, du groupe de sécurité Administrateurs de l'entreprise ou du groupe de sécurité Propriétaires créateurs de la stratégie de groupe disposent de cette autorisation pour modifier un objet de stratégie de groupe.


Modifier une stratégie de groupe locale multiple

Une stratégie de groupe locale multiple est une collection d’objets de stratégie de groupe locale destinée à améliorer la gestion des ordinateurs qui ne font pas partie d’un domaine. Cette collection est constituée des objets de stratégie de groupe locale suivants :

  • Stratégie de l’ordinateur local. Cet objet de stratégie de groupe locale applique des paramètres de stratégie à l’ordinateur et à tout utilisateur ouvrant une session sur l’ordinateur. Il s’agit du même objet de stratégie de groupe locale que celui qui faisait partie des versions antérieures de Microsoft Windows.

  • Stratégie de groupe locale Administrateurs. Cet objet de stratégie de groupe locale applique des paramètres de stratégie aux membres du groupe Administrateurs.

  • Stratégie de groupe locale Non-administrateurs. Cet objet de stratégie de groupe locale applique des paramètres de stratégie aux utilisateurs qui ne font pas partie du groupe Administrateurs.

  • Stratégie de groupe locale Spécifique à l’utilisateur. Cet objet de stratégie de groupe locale applique des paramètres de stratégie utilisateur à un utilisateur local spécifique.

Pour modifier une stratégie de groupe locale multiple

  1. Ouvrez Microsoft Management Console.

  2. Cliquez sur Fichier, puis cliquez sur Ajouter/Supprimer un composant logiciel enfichable.

  3. Dans la liste Composants logiciels enfichables disponibles, cliquez sur Éditeur d’objets de stratégie de groupe, puis sur Ajouter.

  4. Cliquez sur le bouton Parcourir dans la boîte de dialogue Sélection d’un objet de stratégie de groupe.

  5. Cliquez sur l’onglet Utilisateurs dans la boîte de dialogue Rechercher l’objet de stratégie de groupe.

  6. Cliquez sur l’utilisateur ou le groupe pour lequel vous voulez créer ou modifier la stratégie de groupe locale. Cliquez sur OK, sur Terminer, puis sur OK.

  7. Configurez les paramètres de stratégie.

Considérations supplémentaires

  • Les objets de stratégie de groupe locale multiple ne sont pas disponibles sur les contrôleurs de domaine.

  • La stratégie de groupe locale est traitée selon l’ordre suivant, l’objet de stratégie de groupe locale prenant la priorité sur tous les autres :

    1. Stratégie de groupe locale (également appelée « stratégie de l’ordinateur local »).

    2. Stratégie de groupe locale Administrateurs et Non-administrateurs.

    3. Stratégie de groupe locale Spécifique à l’utilisateur.

  • Pour plus d’informations sur la gestion des objets de stratégie de groupe locale multiple, voir le site Web de Microsoft (http://go.microsoft.com/fwlink/?LinkID=65999 (éventuellement en anglais).


Désactiver les paramètres de l’utilisateur ou de l’ordinateur dans la stratégie de groupe locale

Occasionnellement, il se peut que vous vouliez désactiver les paramètres de stratégie, plutôt que de supprimer la totalité de la stratégie de groupe locale.

Pour désactiver les paramètres de stratégie de l’utilisateur ou de l’ordinateur dans un objet de stratégie de groupe locale

  1. Ouvrez Microsoft Management Console.

  2. Cliquez sur Fichier, puis cliquez sur Ajouter/Supprimer un composant logiciel enfichable.

  3. Dans la boîte de dialogue Ajouter/Supprimer un composant logiciel enfichable, dans la zone de liste Composants logiciels enfichables disponibles, cliquez sur Éditeur d’objets de stratégie de groupe, puis sur Ajouter.

  4. Dans la boîte de dialogue Sélection d’un objet de stratégie de groupe, cliquez sur Parcourir.

  5. Pour spécifier la stratégie de l’ordinateur local, cliquez sur OK, puis sur Terminer. Passez à l’étape 7.

  6. Pour spécifier une stratégie de l’ordinateur local pour des utilisateurs ou des groupes, cliquez sur l’onglet Utilisateurs et sélectionnez les objets de stratégie de groupe locale suivants :

    • Administrateurs : stratégie de groupe locale prédéfinie qui s’applique aux utilisateurs appartenant au groupe Administrateurs.

    • Non-administrateurs : stratégie de groupe locale prédéfinie qui s’applique aux utilisateurs n’appartenant pas au groupe Administrateurs.

    • Spécifique à l’utilisateur : objets de stratégie de groupe locale associés à un compte d’utilisateur local spécifique.

  7. Cliquez avec le bouton droit sur l’objet de stratégie de groupe locale, puis cliquez sur Propriétés.

  8. Cliquez sur Désactiver les paramètres de configuration de l’ordinateur ou sur Désactiver les paramètres de configuration de l’utilisateur.

  9. Cliquez sur OK, puis fermez Microsoft Management Console.

Considérations supplémentaires

  • La stratégie de l’ordinateur local vous permet de désactiver à la fois les configurations de l’ordinateur et de l’utilisateur. Les stratégies de groupes locales Administrateurs, Non-administrateurs et Spécifiques à l’utilisateur vous permettent de désactiver seulement la configuration de l’utilisateur.


Supprimer des objets de stratégie de groupe locale multiple

Vous pouvez supprimer des objets de stratégie de groupe locale multiple. Utilisez cette procédure pour supprimer des objets de stratégie locale d’administrateurs, de non-administrateurs ou spécifiques à l’utilisateur.

Pour supprimer une stratégie de groupe locale multiple

  1. Ouvrez Microsoft Management Console.

  2. Cliquez sur Fichier, puis cliquez sur Ajouter/Supprimer un composant logiciel enfichable.

  3. Dans la liste Composants logiciels enfichables disponibles, cliquez sur Éditeur d’objets de stratégie de groupe, puis sur Ajouter.

  4. Dans la boîte de dialogue Sélection d’un objet de stratégie de groupe, cliquez sur Parcourir. Cliquez sur l’onglet Utilisateurs.

  5. Cliquez avec le bouton droit sur l’objet de stratégie de groupe locale Administrateurs, Non-administrateurs ou Spécifique à l’utilisateur. Cliquez sur Supprimer l’objet de stratégie de groupe.

  6. Cliquez sur Oui pour confirmer la suppression de l’objet de stratégie de groupe locale.

  7. Fermez Microsoft Management Console.
Remarques

Le texte qui se trouve dans la colonne Il existe des objets de stratégie de groupe à côté de l’élément sélectionné à l’étape 4 affichera Non.

Considérations supplémentaires

  • Les objets de stratégie de groupe locale multiple ne sont pas disponibles sur les contrôleurs de domaine.

  • Vous ne pouvez pas supprimer l’objet de stratégie de groupe locale (également appelé « stratégie de l’ordinateur local »).

  • Pour plus d’informations sur la gestion des objets de stratégie de groupe locale multiple, voir le site Web de Microsoft (http://go.microsoft.com/fwlink/?LinkID=4291 (éventuellement en anglais)).


Ressources pour la stratégie de groupe

Cette section contient des liens vers des sites contenant des informations détaillées sur la Stratégie de groupe et les technologies associées.

  • Pour consulter le centre technique (TechCenter) de la stratégie de groupe, voir http://go.microsoft.com/fwlink/?linkid=66015 (éventuellement en anglais). Ce site Web offre un point d’entrée dans la documentation de la stratégie de groupe, y compris des informations sur le déploiement, le fonctionnement, la formation, le support et les communautés.

  • Pour consulter le document de référence sur les paramètres de stratégie de groupe, voir http://go.microsoft.com/fwlink/?LinkId=131389 (éventuellement en anglais). Ce document liste les paramètres de stratégie de groupe décrits dans les fichiers de modèle d’administration (.admx ou .adml) et les paramètres de sécurité. Ceci inclut tous les paramètres de stratégie de modèles d’administration pour Windows Server® 2008 R2 et Windows® 7.

  • Pour obtenir les exemples de script pour la console GPMC, voir http://go.microsoft.com/fwlink/?LinkId=65841(éventuellement en anglais). Cet ensemble d’exemples de script illustre l’utilisation de ces interfaces dans le cadre de problèmes d’administration concrets ; les scénarii sont disponibles sous la forme d’un package téléchargeable.